## userthreads

#### OS/161 Reference Manual

### Name

userthreads - simple user-level threads test

### Synopsis

/testbin/userthreads

### Description

userthreads does simple console I/O from two threads in the same process.

### Requirements

userthreads uses the following system calls:

- write
- _exit

It also assumes the existence of a function threadfork(), which takes the address of a function to start a new thread at, and makes certain other assumptions about thread semantics. See the source file.

If implementing user-level threads, part of your responsibility is to update the userthreads test to work with the threads package you write.